list(APPEND web_LIB_INCLUDES 
    xml/XmlParser.cpp
    xml/XmlDocument.cpp
    xml/XmlWriter.cpp
    xml/xml-elements/XmlElement.cpp
    xml/xml-elements/XmlAttribute.cpp
    xml/xml-elements/XmlProlog.cpp
    markdown/MarkdownParser.cpp
    html/HtmlWriter.cpp
    html/HtmlDocument.cpp
    html/HtmlElement.cpp
    html/elements/HtmlHeadElement.cpp
    html/elements/HtmlBodyElement.cpp
    DocumentConverter.cpp)

# add the executable
add_library(web SHARED ${web_LIB_INCLUDES})

target_include_directories(web PUBLIC
                          "${PROJECT_SOURCE_DIR}/src/core/"
                          "${PROJECT_SOURCE_DIR}/src/core/loggers"
                          "${PROJECT_SOURCE_DIR}/src/core/file_utilities"
                          "${CMAKE_CURRENT_SOURCE_DIR}"
                          "${CMAKE_CURRENT_SOURCE_DIR}/xml"
                          "${CMAKE_CURRENT_SOURCE_DIR}/xml/xml-elements"
                          "${CMAKE_CURRENT_SOURCE_DIR}/html"
                          "${CMAKE_CURRENT_SOURCE_DIR}/html/elements"
                          "${CMAKE_CURRENT_SOURCE_DIR}/markdown"
                          )
set_property(TARGET web PROPERTY FOLDER src)
target_link_libraries(web PUBLIC core)
set_target_properties( web PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON ) 